import { FunctionComponent } from 'react';
import { SunEditorReactProps } from 'suneditor-react/dist/types/SunEditorReactProps';
import { Lang } from 'suneditor/src/lang/Lang';
export { default as EditorType } from 'suneditor/src/lib/core';

declare type EditorProps = {
    editorFonts: string[] | undefined;
} & SunEditorReactProps;
declare const Editor: FunctionComponent<EditorProps>;

declare enum Language {
    FA = "fa",
    EN = "en"
}

declare const faLocalization: Lang;

export { Editor, Language as EditorLanguage, faLocalization as FaLocalization };
